summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-10-10 14:43:04 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-10-10 18:03:58 +0200
commit90eda68df248ab6d7f225919b8e73ad19dbfd2d7 (patch)
tree8399eeff865d93dd764bc263545c2c3c00bedfb8 /kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild
parentkde-frameworks/modemmanager-qt: 5.75.0 version bump (diff)
downloadgentoo-90eda68df248ab6d7f225919b8e73ad19dbfd2d7.tar.gz
gentoo-90eda68df248ab6d7f225919b8e73ad19dbfd2d7.tar.bz2
gentoo-90eda68df248ab6d7f225919b8e73ad19dbfd2d7.zip
kde-frameworks/networkmanager-qt: 5.75.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild')
-rw-r--r--kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild
new file mode 100644
index 00000000000..f6390d4d289
--- /dev/null
+++ b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.75.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+QTMIN=5.14.2
+inherit ecm kde.org
+
+DESCRIPTION="NetworkManager bindings for Qt"
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="teamd"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=net-misc/networkmanager-1.4.0-r1[teamd=]
+"
+RDEPEND="${DEPEND}
+ || (
+ >=net-misc/networkmanager-1.4.0-r1[elogind]
+ >=net-misc/networkmanager-1.4.0-r1[systemd]
+ )
+"
+
+src_test() {
+ # bug: 625276
+ local myctestargs=( -E "(managertest|settingstest|activeconnectiontest)" )
+
+ ecm_src_test
+}